Bug 2678 - (int-76335-1) xterm window doesn't close when session is exited
(int-76335-1)
: xterm window doesn't close when session is exited
Status: RESOLVED FIXED
Product: Utilities
X Terminal
: 4.0
: ARM Maemo
: Low normal with 2 votes (vote)
: 4.1
Assigned To: unassigned
: osso-xterm-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-30 14:34 UTC by Neil MacLeod
Modified: 2008-12-06 15:07 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Neil MacLeod (reporter) maemo.org 2007-12-30 14:34:09 UTC
Firmware: OS 2008, 2.2007.50-2

STEPS TO REPRODUCE THE PROBLEM:

1. Open an xterm session
2. Type "exit" or ctrl-d to terminate the session

EXPECTED OUTCOME:

xterm window closes automatically once the session is ended.

ACTUAL OUTCOME:

The xterm window remains open, with a blank functionaly useless display which
must then be closed manually.

REPRODUCIBILITY:
Always

EXTRA SOFTWARE INSTALLED:

openssh-server, Canola2, Python, mplayer

OTHER COMMENTS:

Originally reported in the garage while there was no xterm component in
bugzilla.

https://garage.maemo.org/tracker/index.php?func=detail&aid=1661&group_id=136&atid=573
Comment 1 Andre Klapper maemo.org 2008-05-30 17:26:09 UTC
Thanks for the bug report. We are happy to tell you that this bug has been
already fixed. The fix will be included in the upcoming Diablo (4.1) release.
Comment 2 Neil MacLeod (reporter) maemo.org 2008-05-30 23:08:00 UTC
Great! Can't wait for Diablo! :)

What's the procedure once we get Diablo and the fix can be verified - should I
(or anyone else who can independently test the fix in the released software)
then mark this bug as CLOSED? Or should only the Nokians be marking bugs as
CLOSED?

Hopefully with the recently increased Bugzilla interaction (long may it
continue!) we can begin closing a bunch of bugs that may already have been
fixed but have laid dormant through lack of interest.